# Class PlinkMap

java.lang.Object
org.snpeff.ped.PlinkMap

public class PlinkMap extends Object
PLINK MAP file References: http://pngu.mgh.harvard.edu/~purcell/plink/data.shtml

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`debug`

## Constructor Summary

Constructors
Constructor
Description
`PlinkMap()`
`PlinkMap(String mapFileName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getChrName(int idx)`
`Collection<String>`
`getGenotypeNames()`
`Integer`
`getGenotypeNames(String idStr)`
`String`
`getId(int idx)`
`int`
`getPosition(int idx)`
`protected void`
`read(String mapFileName)`
Reads MAP file MAP file format (http://pngu.mgh.harvard.edu/~purcell/plink/data.shtml) Space separated or tab columns: chromosome (1-22, X, Y or 0 if unplaced) rs# or snp identifier Genetic distance (morgans) Base-pair position (bp units)
`int`
`size()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### debug

public static boolean debug

## Constructor Details

### PlinkMap

public PlinkMap()

### PlinkMap

public PlinkMap(String mapFileName)

## Method Details

### getChrName

public String getChrName(int idx)

### getGenotypeNames

public Collection<String> getGenotypeNames()

### getGenotypeNames

public Integer getGenotypeNames(String idStr)

### getId

public String getId(int idx)

### getPosition

public int getPosition(int idx)

### read

protected void read(String mapFileName)
Reads MAP file MAP file format (http://pngu.mgh.harvard.edu/~purcell/plink/data.shtml) Space separated or tab columns: chromosome (1-22, X, Y or 0 if unplaced) rs# or snp identifier Genetic distance (morgans) Base-pair position (bp units)

Parameters:
  `dataFileName` -

### size

public int size()